Subject: Image::Size 1.1 uploaded to PAUSE
From: [email-masked] (Randy J. Ray)
Date: 5 Sep 1996 16:02:26 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

If you use my Image::Size package, please read. Image::Size 1.0 has been
marked for deletion from CPAN, due to the small but significant JPEG bug.

- - - - - - - - - -

Version 1.1 of Image::Size has been uploaded to PAUSE, and will propagate
to all CPAN sites over the next few days.

To build and install, you will need perl 5.002 or later, and sufficient
access to install an extension.

Summary of Changes in 1.1:

* Added a small, simple script called "imgsize" that gives command-line access
  to the library functionality.
* Discovered and fixed bug in sizing JPEGs.

>From the README file for 1.0:

Image::Size - Determine the size of images in several common formats

Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives. Image::Size has generalized that code to return a raw (X, Y)
pair, and included wrappers to pre-format that output into either HTML or a
set of attribute pairs suitable for the CGI.pm library by Lincoln Stein.
Currently, Image::Size can size images in XPM, XBM, GIF, JPEG and PNG formats.

I did this because my WWW server generates a lot of documents on demand
rather than keeping them in static files. These documents not only use
directional icons and buttons, but other graphics to annotate and highlight
sections of the text. Without size attributes, browsers cannot render the
text of a page until the image data is loaded and the size known for layout.
This library enables scripts to size their images at run-time and include
that as part of the generated HTML. Or for any other utility that uses and
manipulates graphics. The idea of the basic interface + wrappers is to not
limit the programmer to a certain data format.

Please send any reports of problems or bugs to [email-masked]. I wouldn't
mind a short note to know that you're using this, just so I can justify its
continued development to my manager :-). (In seriousness, a rough idea of
how many others are using this will help promote its upkeep.)

This package is copyright © 1996 by Randy Ray ([email-masked]) and is
placed in the public domain under terms of the Artistic License used to
cover Perl itself. See the file Artistic in the distribution  of Perl 5.002 or
later for details of copy and distribution terms.

Perl module interface by Randy J. Ray ([email-masked]), original
image-sizing code by Alex Knowles ([email-masked]) and Andrew Tong
([email-masked]), used with their joint permission.

-- 
===============================================================================
Randy J. Ray -- U S WEST Technologies IAD/CSS/DPDS         Phone: (303)595-2869
                Denver, CO                                     [email-masked]
"It's not denial. I'm just very selective about the reality I accept." --Calvin
===============================================================================